package emps.v2_obiektowo;

import java.util.List;

public class P6_MinMax_v2 {
	// Wypisz kto zarabia najwięcej, a kto zarabia najmniej.
	// (wypisz co najmniej imię, nazwisko i pensję)

	public static void main(String[] args) {
		List<Employee> emps = ObslugaCSV.wczytaj("emps.csv");
		
		int maxSalary = 0; // Integer.MIN_VALUE
		int minSalary = Integer.MAX_VALUE;
		String min = "";
		String max = "";
		
		for(Employee emp : emps) {
			if(emp.getSalary() > maxSalary) {
				maxSalary = emp.getSalary();
				max = emp.getFirstName() + " " + emp.getLastName();
			}
			if(emp.getSalary() < minSalary) {
				minSalary = emp.getSalary();
				min = emp.getFirstName() + " " + emp.getLastName();
			}
		}
		
		System.out.println("Najbogatszy: " + max + " " + maxSalary);
		System.out.println("Najbiedniejszy: " + min + " " + minSalary);
	}

}
